Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » No Papyrus Plugin works anymore(There used to be a papyrus plugin market, now there are no working plugins anymore. )
No Papyrus Plugin works anymore [message #1842449] Sat, 19 June 2021 23:16 Go to next message
Kelly Ferrone is currently offline Kelly FerroneFriend
Messages: 2
Registered: September 2012
Junior Member
There used to be a useful papyrus plugin market. This marketplace is gone and I can't find a single Papyrus extension/plugin which works at all.

I am on Eclipse 2021-03 and it at least still has Papyrus as a plugin, 2021-06 does not.

If I try to install any of the following, none work:
- https://marketplace.eclipse.org/content/papyrus-bpmn
- https://marketplace.eclipse.org/content/papyrus-sysml-14
- https://marketplace.eclipse.org/content/papyrus-sysml-16
- https://marketplace.eclipse.org/search/site/papyrus

A lot of promising eclipse modeling projects related to papyrus just simply died or never gained any traction at all, for example:
- https://projects.eclipse.org/projects/modeling.upr
- https://wiki.eclipse.org/MDT/SBVR

Does papyrus just not have enough developers behind it to get the love like other projects do. I feel over time Papyrus is loosing it's life.
Re: No Papyrus Plugin works anymore [message #1842553 is a reply to message #1842449] Wed, 23 June 2021 13:23 Go to previous messageGo to next message
Ansgar Radermacher is currently offline Ansgar RadermacherFriend
Messages: 375
Registered: March 2011
Location: Paris Saclay, France
Senior Member
Hi,

Papyrus 2020-12 contained some changes (removed re-exports) that requires an update of Papyrus extensions such as SysML. However, some of these haven't been updated yet, including BPMN and SysML (SysML 1.6 should be fixed and released soon). ln case of Papyrus SW designer, you should be able to install it via the market place on an Eclipse 2021-03.
In case of 2021-06, Papyrus will soon publish a compatible update-site, as has been announed in another thread.
Re: No Papyrus Plugin works anymore [message #1843105 is a reply to message #1842553] Thu, 15 July 2021 22:29 Go to previous messageGo to next message
James Alesi is currently offline James AlesiFriend
Messages: 3
Registered: May 2021
Junior Member
So what do we do in the meantime? I need to use SysML in Papyrus now.
Re: No Papyrus Plugin works anymore [message #1843120 is a reply to message #1843105] Fri, 16 July 2021 07:32 Go to previous message
Carsten Pitz is currently offline Carsten PitzFriend
Messages: 435
Registered: May 2015
Location: Germany
Senior Member
Hi James,
simply use an older release of Papyrus. All releases up to 2020-06 (aka 4.8) should work fine. You find them here https://www.eclipse.org/papyrus/downloads/index.php
I personally still use both SysML 1.4 and SysML 1.6 on Papyrus 2020-03. Works flawlessly.
/Carsten

[Updated on: Fri, 16 July 2021 07:40]

Report message to a moderator

Previous Topic:Export Papyrus Model to .csv or .xml
Next Topic:Stereotype Redefines Error
Goto Forum:
  


Current Time: Fri Aug 12 00:24:58 GMT 2022

Powered by FUDForum. Page generated in 0.02595 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top